Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in GD
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in GD
ID: USN-3755-1
Distribution: Ubuntu
Plattformen: Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 18.04 LTS
Datum: Mo, 27. August 2018, 22:54
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5711
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1000222
Applikationen: gd

Originalnachricht


--===============1540760818233250892==
Content-Type: multipart/signed; micalg="pgp-sha256";
protocol="application/pgp-signature";
boundary="=-AIWcPN/GJbvsJE8NlVnA"


--=-AIWcPN/GJbvsJE8NlVnA
Content-Type: text/plain; charset="UTF-8
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3755-1
August 27, 2018

libgd2 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS
- Ubuntu 14.04 LTS

Summary:

Several security issues were fixed in GD.

Software Description:
- libgd2: GD Graphics Library

Details:

It was discovered that GD incorrectly handled certain images.
An attacker could possibly use this issue to execute arbitrary code.
(CVE-2018-1000222)

It was discovered that GD incorrectly handled certain GIF files.
An attacker could possibly use this issue to cause a denial of service.
(CVE-2018-5711)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.04 LTS:
libgd-tools 2.2.5-4ubuntu0.2
libgd3 2.2.5-4ubuntu0.2

Ubuntu 16.04 LTS:
libgd-tools 2.1.1-4ubuntu0.16.04.10
libgd3 2.1.1-4ubuntu0.16.04.10

Ubuntu 14.04 LTS:
libgd-tools 2.1.0-3ubuntu0.10
libgd3 2.1.0-3ubuntu0.10

In general, a standard system update will make all the necessary
changes.

References:
https://usn.ubuntu.com/usn/usn-3755-1
CVE-2018-1000222, CVE-2018-5711

Package Information:
https://launchpad.net/ubuntu/+source/libgd2/2.2.5-4ubuntu0.2
https://launchpad.net/ubuntu/+source/libgd2/2.1.1-4ubuntu0.16.04.10
https://launchpad.net/ubuntu/+source/libgd2/2.1.0-3ubuntu0.10
--=-AIWcPN/GJbvsJE8NlVnA
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABCAAGBQJbhCS6AAoJEEW851uECx9pgtEP/RoxJhmXPUNz/Fex6QsD1tqB
yaXGiMGT+l+nz2uHIB81DZRIWdr3aVQyH3pP/DulFfU6/VUe/kr3yBgOzbyRDRQj
LgNHz4DWfmFP3iTfOv/3KYfVNSgnq+lSf0Y7G0ppMJwRhxTCAoTvIuqz4/H7TbXD
reIkfq4wDVTCH3HSv5a6Zo/yB6yDBfE+S2p88xxg4jZqQyAJm6qW3JpYtzeWADqZ
mlXepFEG/j5hoXoA/hA/d/ArrvgmOapNDm4bTfPnuRfnf/A0ha6N/B86RtBw8q/S
2WeDmUAcG30uGEnJiJTyc3mDrV/5kA9zQKSAiAEGknJ9ufynECYK5ZwYk+Xf246w
y/WNXobfN7TqgPGV06tdD3ACZJW+df5tj5CdZtTyOL/5lUJqP2e2M7GNT+v0f+3G
AE3e/s0WI8AX30eGVjvvK9mFyY6SdfiFkYQimAn3A2E7BXvnWto6Tk4x9yUgL9vk
KOUNP2IWW+zI7jf+d9NP/fGGH2enV/PntISulP33zGsXXr573Td/O8fD6MJn9zk1
IEN22xKRNljlbgg95053BhwwJXKxDvyarjGZDvU/VoGYr4Fc1Wdp3iDulRz9XDMP
OFHepVHyGUDLvYd+yY9ODJYGDPygiAMAdd5y60+kOYNTPsSNJ7t+7nKw3ZmBGhwz
FKnKadaF1kJNCkEaR+/7
=J7+B
-----END PGP SIGNATURE-----

--=-AIWcPN/GJbvsJE8NlVnA--



--===============1540760818233250892==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============1540760818233250892==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung